summaryrefslogtreecommitdiff
path: root/unfinished/tcc
diff options
context:
space:
mode:
authorThomas Ulmer <thomasmulmer02@gmail.com>2026-06-14 08:59:25 -0700
committerThomas Ulmer <thomasmulmer02@gmail.com>2026-06-14 08:59:25 -0700
commit3376b6420d3b6cc965890e46e7bbd06fbc9fd037 (patch)
tree67b59ce0f9ba016db62067a081c0535d064d2a3f /unfinished/tcc
parentd533343af750dcfda2321f33953b66396e767f10 (diff)
layout reorg
Diffstat (limited to 'unfinished/tcc')
-rwxr-xr-xunfinished/tcc/setup.sh11
m---------unfinished/tcc/tcc0
2 files changed, 11 insertions, 0 deletions
diff --git a/unfinished/tcc/setup.sh b/unfinished/tcc/setup.sh
new file mode 100755
index 0000000..ed6c6d6
--- /dev/null
+++ b/unfinished/tcc/setup.sh
@@ -0,0 +1,11 @@
+#!/bin/bash
+
+set -e
+
+cd tcc
+
+./configure --prefix=${HOME}/.local
+make
+make test
+make install
+ln -sf ${HOME}/.local/bin/tcc ${HOME}/.local/bin/cc
diff --git a/unfinished/tcc/tcc b/unfinished/tcc/tcc
new file mode 160000
+Subproject 4fccaf61241a5eb72b0777b3a44bd7abbea4860